Provision.run error while running please help

rohan@rohan-VirtualBox:~/devstack$ sudo make dev.provision.run
DOCKER_COMPOSE_FILES="-f docker-compose.yml -f docker-compose-host.yml" ./provision.sh

  • RED=’\033[0;31m’
  • GREEN=’\033[0;32m’
  • YELLOW=’\033[0;33m’
  • NC=’\033[0m’
  • docker-compose up -d mysql mongo
    edx.devstack.mysql is up-to-date
    edx.devstack.mongo is up-to-date
  • echo ‘Waiting for MySQL’
    Waiting for MySQL
  • docker exec -i edx.devstack.mysql mysql -uroot -se ‘SELECT EXISTS(SELECT 1 FROM mysql.user WHERE user = ‘’‘root’’’)’
  • sleep 20
  • echo -e ‘MySQL ready’
    MySQL ready
  • echo -e ‘\033[0;32mCreating databases and users…\033[0m’
    Creating databases and users…
  • docker exec -i edx.devstack.mysql mysql -uroot mysql
  • docker exec -i edx.devstack.mongo mongo
    MongoDB shell version: 3.2.16
    connecting to: test
    connection to 127.0.0.1
    [
    {
    “user” : “admin”,
    “pwd” : “password”,
    “roles” : [
    “root”
    ],
    “database” : “admin”
    },
    {
    “user” : “cs_comments_service”,
    “pwd” : “password”,
    “roles” : [
    “readWrite”
    ],
    “database” : “cs_comments_service”
    },
    {
    “user” : “edxapp”,
    “pwd” : “password”,
    “roles” : [
    “readWrite”
    ],
    “database” : “edxapp”
    }
    ]
    bye
  • ./provision-lms.sh
    ++ apps=(lms studio)
    ++ ./load-db.sh edxapp
    Loading the edxapp database…
    Finished loading the edxapp database!
    ++ ./load-db.sh edxapp_csmh
    Loading the edxapp_csmh database…
    Finished loading the edxapp_csmh database!
    ++ for app in “{apps[@]}" ++ docker-compose -f docker-compose.yml -f docker-compose-host.yml up -d lms edx.devstack.mysql is up-to-date edx.devstack.mongo is up-to-date edx.devstack.devpi is up-to-date edx.devstack.memcached is up-to-date edx.devstack.lms is up-to-date ++ for app in "{apps[@]}”
    ++ docker-compose -f docker-compose.yml -f docker-compose-host.yml up -d studio
    edx.devstack.memcached is up-to-date
    edx.devstack.mongo is up-to-date
    edx.devstack.devpi is up-to-date
    edx.devstack.mysql is up-to-date
    edx.devstack.studio is up-to-date
    ++ docker-compose exec lms bash -c ‘source /edx/app/edxapp/edxapp_env && cd /edx/app/edxapp/edx-platform && NO_PYTHON_UNINSTALL=1 paver install_prereqs’
    —> pavelib.prereqs.install_prereqs
    —> pavelib.prereqs.install_node_prereqs
    Node prereqs unchanged, skipping…
    —> pavelib.prereqs.install_python_prereqs
    —> pavelib.prereqs.uninstall_python_packages
    NO_PYTHON_UNINSTALL is set. No attempts will be made to uninstall old Python libs.
    Python prereqs unchanged, skipping…
    pip freeze > /edx/app/edxapp/edx-platform/test_root/log/pip_freeze.log


++ docker-compose restart lms
Restarting edx.devstack.lms … done
++ docker-compose exec lms bash -c ‘source /edx/app/edxapp/edxapp_env && cd /edx/app/edxapp/edx-platform && paver update_db --settings devstack_docker’
—> pavelib.servers.update_db
—> pavelib.prereqs.install_prereqs
—> pavelib.prereqs.install_node_prereqs
Node prereqs unchanged, skipping…
—> pavelib.prereqs.install_python_prereqs
—> pavelib.prereqs.uninstall_python_packages
NO_PYTHON_UNINSTALL is set. No attempts will be made to uninstall old Python libs.
Python prereqs unchanged, skipping…
pip freeze > /edx/app/edxapp/edx-platform/test_root/log/pip_freeze.log



NO_EDXAPP_SUDO=1 EDX_PLATFORM_SETTINGS_OVERRIDE=devstack_docker /edx/bin/edxapp-migrate-lms --traceback --pythonpath=.
2021-03-03 11:43:00,638 WARNING 68 [py.warnings] [user None] [ip None] warnings.py:109 - /edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/newrelic/console.py:84: DeprecationWarning: formatargspec is deprecated since Python 3.5. Use signature and the Signature object directly
prototype = wrapper.name[3:] + ’ ’ + inspect.formatargspec(

2021-03-03 11:43:00,955 WARNING 68 [py.warnings] [user None] [ip None] warnings.py:109 - /edx/app/edxapp/edx-platform/lms/djangoapps/course_wiki/plugins/markdownedx/wiki_plugin.py:7: DeprecationWarning: ‘etree’ is deprecated. Use ‘xml.etree.ElementTree’ instead.
from lms.djangoapps.course_wiki.plugins.markdownedx import mdx_mathjax, mdx_video

2021-03-03 11:43:07,841 WARNING 68 [py.warnings] [user None] [ip None] warnings.py:109 - /edx/app/edxapp/venvs/edxapp/src/django-wiki/wiki/plugins/links/wiki_plugin.py:9: DeprecationWarning: ‘etree’ is deprecated. Use ‘xml.etree.ElementTree’ instead.
from wiki.plugins.links.mdx.djangowikilinks import WikiPathExtension

Traceback (most recent call last):
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 217, in ensure_connection
self.connect()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 195, in connect
self.connection = self.get_new_connection(conn_params)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/mysql/base.py”, line 227, in get_new_connection
return Database.connect(**conn_params)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/MySQLdb/init.py”, line 130, in Connect
return Connection(*args, **kwargs)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/MySQLdb/connections.py”, line 185, in init
super().init(*args, **kwargs2)
MySQLdb._exceptions.OperationalError: (2005, “Unknown MySQL server host ‘edx.devstack.mysql57’ (22)”)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “manage.py”, line 123, in
execute_from_command_line([sys.argv[0]] + django_args)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/init.py”, line 381, in execute_from_command_line
utility.execute()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/init.py”, line 375, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/base.py”, line 323, in run_from_argv
self.execute(*args, **cmd_options)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/base.py”, line 361, in execute
self.check()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/base.py”, line 387, in check
all_issues = self._run_checks(
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/management/commands/migrate.py”, line 64, in _run_checks
issues = run_checks(tags=[Tags.database])
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/checks/registry.py”, line 72, in run_checks
new_errors = check(app_configs=app_configs)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/core/checks/database.py”, line 10, in check_database_backends
issues.extend(conn.validation.check(**kwargs))
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/mysql/validation.py”, line 9, in check
issues.extend(self._check_sql_mode(**kwargs))
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/mysql/validation.py”, line 13, in _check_sql_mode
with self.connection.cursor() as cursor:
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 256, in cursor
return self._cursor()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 233, in _cursor
self.ensure_connection()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 217, in ensure_connection
self.connect()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/utils.py”, line 89, in exit
raise dj_exc_value.with_traceback(traceback) from exc_value
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 217, in ensure_connection
self.connect()
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/base/base.py”, line 195, in connect
self.connection = self.get_new_connection(conn_params)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/django/db/backends/mysql/base.py”, line 227, in get_new_connection
return Database.connect(**conn_params)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/MySQLdb/init.py”, line 130, in Connect
return Connection(*args, **kwargs)
File “/edx/app/edxapp/venvs/edxapp/lib/python3.8/site-packages/MySQLdb/connections.py”, line 185, in init
super().init(*args, **kwargs2)
django.db.utils.OperationalError: (2005, “Unknown MySQL server host ‘edx.devstack.mysql57’ (22)”)

Captured Task Output:

—> pavelib.servers.update_db
—> pavelib.prereqs.install_prereqs
—> pavelib.prereqs.install_node_prereqs
—> pavelib.prereqs.install_python_prereqs
—> pavelib.prereqs.uninstall_python_packages
pip freeze > /edx/app/edxapp/edx-platform/test_root/log/pip_freeze.log
NO_EDXAPP_SUDO=1 EDX_PLATFORM_SETTINGS_OVERRIDE=devstack_docker /edx/bin/edxapp-migrate-lms --traceback --pythonpath=.

Build failed running pavelib.servers.update_db: Subprocess return code: 1
Makefile:44: recipe for target ‘dev.provision.run’ failed
make: *** [dev.provision.run] Error 1
@nedbat

Hey @Rohan_Singh did you have a previous installation running on the same machine? Also, can you do a docker ps and see if all the containers are running on your machine?

1 Like

Hi @Rohan_Singh, can you also tell us which version of the devstack and OpenEdx are you trying to install?

It is always a good idea to give us as many details as you can. Here are some tips:

1 Like

resolved thank u for replying buddy